Bug 1278642 - [RFE] Expose config groups in host yaml
[RFE] Expose config groups in host yaml
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet (Show other bugs)
6.1.3
All Linux
medium Severity medium (vote)
: GA
: --
Assigned To: Marek Hulan
Ondřej Pražák
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks: 1287901
  Show dependency treegraph
 
Reported: 2015-11-05 23:33 EST by Jacob Hunt
Modified: 2018-02-21 07:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 07:32:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config groups in params (51.14 KB, image/png)
2017-08-30 02:35 EDT, Ondřej Pražák
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12535 None None None 2016-04-26 13:04 EDT
Foreman Issue Tracker 17886 None None None 2017-01-01 14:50 EST
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 17:43:42 EST

  None (edit)
Description Jacob Hunt 2015-11-05 23:33:07 EST
Description of problem:

We would like to use a hosts config groups inside puppet classes but the config groups are not exposed as host parameters.
We would like config groups to be exposed as a comma separated list similar to kt_activation_keys


Version-Release number of selected component (if applicable):

Satellite 6.1.3

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Bryan Kearney 2015-11-19 11:31:07 EST
Created redmine issue http://projects.theforeman.org/issues/12535 from this bug
Comment 5 Bryan Kearney 2015-11-19 12:01:49 EST
Upstream bug component is Provisioning
Comment 7 Bryan Kearney 2016-07-08 16:37:10 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 9 Bryan Kearney 2016-08-10 15:10:45 EDT
Upstream bug component is Configuration Management
Comment 10 Bryan Kearney 2016-08-10 16:11:45 EDT
Upstream bug component is Provisioning
Comment 11 Bryan Kearney 2016-08-10 18:11:29 EDT
Upstream bug component is Configuration Management
Comment 12 Bryan Kearney 2016-08-12 08:49:26 EDT
Upstream bug component is Puppet
Comment 13 Bryan Kearney 2016-09-18 06:10:31 EDT
Upstream bug assigned to szadok@redhat.com
Comment 14 Bryan Kearney 2016-09-18 06:10:35 EDT
Upstream bug assigned to szadok@redhat.com
Comment 16 Bryan Kearney 2016-09-22 08:11:16 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/12535 has been resolved.
Comment 18 Bryan Kearney 2017-01-01 16:13:19 EST
Upstream bug assigned to mhulan@redhat.com
Comment 19 Bryan Kearney 2017-01-01 16:13:23 EST
Upstream bug assigned to mhulan@redhat.com
Comment 20 Bryan Kearney 2017-01-02 06:13:26 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17886 has been resolved.
Comment 21 Ondřej Pražák 2017-08-30 02:35 EDT
Created attachment 1319865 [details]
config groups in params

Verified.

6.3.0 snap 13
Comment 24 errata-xmlrpc 2018-02-21 07:32:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.